var $AdfDhtmlInlineFramePeer$$ = $AdfRichUIPeer$$.$createPeerClass$($AdfRichUIPeer$$, "AdfDhtmlInlineFramePeer");
$goog$exportSymbol$$("AdfDhtmlInlineFramePeer", $AdfDhtmlInlineFramePeer$$);
$AdfDhtmlInlineFramePeer$$.$InitSubclass$ = function $$AdfDhtmlInlineFramePeer$$$$InitSubclass$$() {
  var $iframeIds$$ = [];
  $iframeIds$$.$_fastPoll$ = !1;
  $iframeIds$$.$_timerId$ = void 0;
  this.$_iframeIds$ = $iframeIds$$;
  $AdfRichUIPeer$$.$addComponentPropertyChanges$(this, AdfRichInlineFrame.SOURCE);
  this.$_LOAD_EVENT_TYPE$ = "inlineFrameLoad";
};
$goog$exportSymbol$$("AdfDhtmlInlineFramePeer.InitSubclass", $AdfDhtmlInlineFramePeer$$.$InitSubclass$);
$AdfDhtmlInlineFramePeer$$.prototype.$InitDomElement$ = function $$AdfDhtmlInlineFramePeer$$$$$InitDomElement$$($component$$1170$$, $rootElement$$59$$) {
  $AdfDhtmlInlineFramePeer$$.$superclass$.$InitDomElement$.call(this, $component$$1170$$, $rootElement$$59$$);
  $AdfPage$$.$PAGE$.$registerLoadingComponent$($component$$1170$$);
  var $iframeElement$$2$$ = this.$__getIframe$($rootElement$$59$$), $src$$10$$ = $iframeElement$$2$$.getAttribute("_src");
  if (null != $src$$10$$) {
    $AdfPage$$.$PAGE$.$__perfTimings$(!1, !1, !0, "GET request sent for iFrame. Source is: ", $src$$10$$);
    var $agent$$297$$ = $AdfAgent$$.$AGENT$, $isWebkit$$2$$ = $agent$$297$$.$getPlatform$() == $AdfAgent$$.$WEBKIT_PLATFORM$;
    !$isWebkit$$2$$ || $isWebkit$$2$$ && 535.19 <= $agent$$297$$.$getVersion$() ? ($iframeElement$$2$$.setAttribute("src", $src$$10$$), $iframeElement$$2$$.removeAttribute("_src"), $iframeElement$$2$$.addEventListener("load", function($component$$1170$$) {
      $AdfDhtmlInlineFramePeer$$.$__iframeLoadHandler$($component$$1170$$);
    }, !0)) : $AdfDhtmlInlineFramePeer$$.$_replaceIframe$($iframeElement$$2$$);
  }
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlInlineFramePeer.prototype.InitDomElement", {$InitDomElement$:$AdfDhtmlInlineFramePeer$$.prototype.$InitDomElement$});
$AdfDhtmlInlineFramePeer$$.prototype.$GetReadyState$ = function $$AdfDhtmlInlineFramePeer$$$$$GetReadyState$$() {
  var $iframeDomElement$$ = this.$__getIframe$();
  if ($iframeDomElement$$) {
    $AdfLogger$$.$LOGGER$.fine("AdfDhtmlInlineFramePeer.GetReadyState: Frame dom is present");
    try {
      var $innerWindow$$ = $iframeDomElement$$.contentWindow;
      if ("complete" === $innerWindow$$.document.readyState) {
        $AdfLogger$$.$LOGGER$.fine("AdfDhtmlInlineFramePeer.GetReadyState: ", "Determine inner document is ADF or not");
        var $innerAdfPage$$ = $innerWindow$$.$AdfPage$;
        if ($innerAdfPage$$) {
          var $innerAdfPagePAGE$$ = $innerAdfPage$$.$PAGE$;
          if ($innerAdfPagePAGE$$ && $innerAdfPagePAGE$$.$isSynchronizedWithServer$ && $innerAdfPagePAGE$$.$isSynchronizedWithServer$()) {
            return $AdfLogger$$.$LOGGER$.fine("AdfDhtmlInlineFramePeer.GetReadyState: inner ADF page ready"), $AdfUIComponent$$.$STATE_COMPLETE$;
          }
          $AdfLogger$$.$LOGGER$.fine("AdfDhtmlInlineFramePeer.GetReadyState: inner ADF page not ready");
          return $AdfUIComponent$$.$STATE_LOADING$;
        }
        $AdfLogger$$.$LOGGER$.fine("AdfDhtmlInlineFramePeer.GetReadyState: Non ADF page ready");
        return $AdfUIComponent$$.$STATE_COMPLETE$;
      }
      $AdfLogger$$.$LOGGER$.fine("AdfDhtmlInlineFramePeer.GetReadyState: inner document not yet ready");
      return $AdfUIComponent$$.$STATE_LOADING$;
    } catch ($e$$128$$) {
      return $AdfLogger$$.$LOGGER$.fine("AdfDhtmlInlineFramePeer.GetReadyState: Security exception.", " Document from different domain, nothing more to do"), $AdfUIComponent$$.$STATE_COMPLETE$;
    }
  }
  $AdfLogger$$.$LOGGER$.fine("AdfDhtmlInlineFramePeer.GetReadyState: inlineFrame's dom is not ready");
  return $AdfUIComponent$$.$STATE_LOADING$;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlInlineFramePeer.prototype.GetReadyState", {$GetReadyState$:$AdfDhtmlInlineFramePeer$$.prototype.$GetReadyState$});
$AdfDhtmlInlineFramePeer$$.$_replaceIframe$ = function $$AdfDhtmlInlineFramePeer$$$$_replaceIframe$$($iframeElement$$3$$) {
  var $agent$$298$$ = $AdfAgent$$.$AGENT$, $newSrc$$ = $iframeElement$$3$$.getAttribute("_src"), $visible$$2$$ = $AdfDomUtils$$.$isVisible$($iframeElement$$3$$);
  $AdfDomUtils$$.setVisible($iframeElement$$3$$, !1);
  $iframeElement$$3$$.removeAttribute("_src");
  $iframeElement$$3$$.removeAttribute("src");
  var $cloneIframe$$ = $agent$$298$$.cloneNode($iframeElement$$3$$);
  $iframeElement$$3$$.onload = "void(0);";
  $agent$$298$$.$elementsRemoved$($iframeElement$$3$$);
  $cloneIframe$$.addEventListener("load", function($iframeElement$$3$$) {
    $AdfDhtmlInlineFramePeer$$.$__iframeLoadHandler$($iframeElement$$3$$);
  }, !0);
  $iframeElement$$3$$.parentNode.replaceChild($cloneIframe$$, $iframeElement$$3$$);
  -1 < $newSrc$$.indexOf("javascript:''") ? $cloneIframe$$.setAttribute("src", "about:blank") : $cloneIframe$$.setAttribute("src", $newSrc$$);
  $agent$$298$$.$elementsAdded$($cloneIframe$$);
  $AdfDomUtils$$.setVisible($cloneIframe$$, $visible$$2$$);
};
$AdfDhtmlInlineFramePeer$$.prototype.$ComponentSourceChanged$ = function $$AdfDhtmlInlineFramePeer$$$$$ComponentSourceChanged$$($component$$1171_popupComponent$$, $domElement$$228$$, $newValue$$70$$) {
  var $iframeElement$$4$$ = $domElement$$228$$;
  "IFRAME" != $iframeElement$$4$$.tagName && ($iframeElement$$4$$ = $AdfDomUtils$$.$getFirstChildElement$($domElement$$228$$));
  if (!$iframeElement$$4$$ || "IFRAME" != $iframeElement$$4$$.tagName) {
    return !1;
  }
  if ($AdfPage$$.$PAGE$.$isAnimationEnabled$() && $newValue$$70$$ && $AdfDomUtils$$.$isInPopup$($component$$1171_popupComponent$$) && ($component$$1171_popupComponent$$ = $AdfDomUtils$$.$getPopupAncestor$($component$$1171_popupComponent$$)) && $component$$1171_popupComponent$$.$getProperty$("animate") !== AdfRichPopup.$ANIMATE_FALSE$) {
    return $iframeElement$$4$$.setAttribute("data-src", $newValue$$70$$), !0;
  }
  $iframeElement$$4$$.src = $newValue$$70$$;
  return !0;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlInlineFramePeer.prototype.ComponentSourceChanged", {$ComponentSourceChanged$:$AdfDhtmlInlineFramePeer$$.prototype.$ComponentSourceChanged$});
$AdfDhtmlInlineFramePeer$$.prototype.$BindToComponent$ = function $$AdfDhtmlInlineFramePeer$$$$$BindToComponent$$($component$$1172$$, $domElement$$229$$) {
  $AdfDhtmlInlineFramePeer$$.$superclass$.$BindToComponent$.call(this, $component$$1172$$, $domElement$$229$$);
  var $iframeElement$$5$$ = $domElement$$229$$;
  "IFRAME" != $iframeElement$$5$$.tagName && ($iframeElement$$5$$ = $AdfDomUtils$$.$getFirstChildElement$($domElement$$229$$));
  "preferred" === $component$$1172$$.getSizing() && "1" === $iframeElement$$5$$.getAttribute("_adfLoaded") && $AdfDhtmlInlineFramePeer$$.$_registerIFrameForSizing$($iframeElement$$5$$);
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlInlineFramePeer.prototype.BindToComponent", {$BindToComponent$:$AdfDhtmlInlineFramePeer$$.prototype.$BindToComponent$});
$AdfDhtmlInlineFramePeer$$.prototype.$ComponentRemoved$ = function $$AdfDhtmlInlineFramePeer$$$$$ComponentRemoved$$($component$$1173$$) {
  var $iframeIds$$1_sizing$$1$$ = $component$$1173$$.getSizing(), $frameDom$$1_page$$126$$ = $AdfPage$$.$PAGE$;
  $frameDom$$1_page$$126$$.$unregisterLoadingComponent$($component$$1173$$);
  "preferred" === $iframeIds$$1_sizing$$1$$ && ($iframeIds$$1_sizing$$1$$ = $AdfDhtmlInlineFramePeer$$.$_iframeIds$, $AdfCollections$$.$removeArrayValue$($iframeIds$$1_sizing$$1$$, $component$$1173$$.$getClientId$()), 0 == $iframeIds$$1_sizing$$1$$.length && ($frameDom$$1_page$$126$$.$getDomWindow$().clearInterval($iframeIds$$1_sizing$$1$$.$_timerId$), $iframeIds$$1_sizing$$1$$.$_timerId$ = void 0));
  $AdfAgent$$.$AGENT$.$getPlatform$() == $AdfAgent$$.$IE_PLATFORM$ && (this.bind($component$$1173$$), $frameDom$$1_page$$126$$ = this.$__getIframe$(), $AdfDomUtils$$.setVisible($frameDom$$1_page$$126$$, !1), $frameDom$$1_page$$126$$.setAttribute("onload", "void(0)"), $frameDom$$1_page$$126$$.setAttribute("src", "about:blank"));
  $AdfDhtmlInlineFramePeer$$.$superclass$.$ComponentRemoved$.call(this, $component$$1173$$);
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlInlineFramePeer.prototype.ComponentRemoved", {$ComponentRemoved$:$AdfDhtmlInlineFramePeer$$.prototype.$ComponentRemoved$});
$AdfDhtmlInlineFramePeer$$.prototype.$ScrollIntoView$ = function $$AdfDhtmlInlineFramePeer$$$$$ScrollIntoView$$($component$$1174_inlineFrame$$79$$, $focus$$6$$, $subTargetId$$6$$) {
  $component$$1174_inlineFrame$$79$$ = this.$getDomElement$();
  "IFRAME" != $component$$1174_inlineFrame$$79$$.tagName && ($component$$1174_inlineFrame$$79$$ = $AdfDomUtils$$.$getFirstChildElement$($component$$1174_inlineFrame$$79$$));
  $component$$1174_inlineFrame$$79$$.scrollIntoView();
  var $iframeDoc$$10$$ = $component$$1174_inlineFrame$$79$$.contentWindow.document, $subTargetElement$$1$$ = null;
  null != $subTargetId$$6$$ && ($subTargetElement$$1$$ = $iframeDoc$$10$$.getElementById($subTargetId$$6$$)) && $subTargetElement$$1$$.scrollIntoView();
  $focus$$6$$ && ($subTargetElement$$1$$ ? $AdfFocusUtils$$.$focusElement$($subTargetElement$$1$$) : $AdfFocusUtils$$.$focusElement$($component$$1174_inlineFrame$$79$$));
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlInlineFramePeer.prototype.ScrollIntoView", {$ScrollIntoView$:$AdfDhtmlInlineFramePeer$$.prototype.$ScrollIntoView$});
$AdfDhtmlInlineFramePeer$$.$_loadHandler$ = function $$AdfDhtmlInlineFramePeer$$$$_loadHandler$$($event$$206_evt$$97$$) {
  $AdfPage$$.$PAGE$.$__perfTimings$(!1, !1, !1, "iFrame load handler called.");
  var $agent$$300_iframeDom$$ = $AdfAgent$$.$AGENT$, $inlineFrameComponent_page$$127$$ = $AdfPage$$.$PAGE$;
  $agent$$300_iframeDom$$.$getPlatform$() == $AdfAgent$$.$IE_PLATFORM$ ? ($event$$206_evt$$97$$ || ($event$$206_evt$$97$$ = $inlineFrameComponent_page$$127$$.$getDomWindow$().event), $event$$206_evt$$97$$ = $agent$$300_iframeDom$$.$cloneEvent$($event$$206_evt$$97$$)) : $agent$$300_iframeDom$$.$getPlatform$() == $AdfAgent$$.$WEBKIT_PLATFORM$ && ($event$$206_evt$$97$$ = $agent$$300_iframeDom$$.$cloneEvent$($event$$206_evt$$97$$));
  $agent$$300_iframeDom$$ = $agent$$300_iframeDom$$.$getEventTarget$($event$$206_evt$$97$$);
  null == $agent$$300_iframeDom$$ && ($agent$$300_iframeDom$$ = $event$$206_evt$$97$$.currentTarget);
  "1" === $agent$$300_iframeDom$$.getAttribute("_adfLoaded") && $AdfPage$$.$PAGE$.$__perfTimings$(!1, !1, !0, "GET response received for iFrame. Source is: ", $agent$$300_iframeDom$$.getAttribute("src"));
  var $clientId$$207$$ = $agent$$300_iframeDom$$.getAttribute("id"), $stretchedFrameSubIdIndex$$ = $clientId$$207$$.indexOf("::f");
  -1 != $stretchedFrameSubIdIndex$$ && $stretchedFrameSubIdIndex$$ == $clientId$$207$$.length - 3 && ($clientId$$207$$ = $agent$$300_iframeDom$$.parentNode.getAttribute("id"));
  $AdfAssert$$.$assertString$($clientId$$207$$);
  ($inlineFrameComponent_page$$127$$ = $inlineFrameComponent_page$$127$$.$findComponent$($clientId$$207$$)) ? ($AdfDhtmlInlineFramePeer$$.$_removeLoadingStatus$($agent$$300_iframeDom$$, $clientId$$207$$), (new $AdfDomComponentEvent$$($inlineFrameComponent_page$$127$$, $AdfDhtmlInlineFramePeer$$.$_LOAD_EVENT_TYPE$, $event$$206_evt$$97$$)).$queue$(!0), "preferred" === $inlineFrameComponent_page$$127$$.getSizing() ? $AdfDhtmlInlineFramePeer$$.$_isIframeSizingAllowed$($agent$$300_iframeDom$$) ? "1" === 
  $agent$$300_iframeDom$$.getAttribute("_adfLoaded") ? ($agent$$300_iframeDom$$.style.minWidth = "0px", $agent$$300_iframeDom$$.style.minHeight = "0px", $AdfPage$$.$PAGE$.$__perfTimings$(!1, !1, !1, "Immediately resizing iFrame."), $AdfDhtmlInlineFramePeer$$.$_resizeIframeToPreferred$($agent$$300_iframeDom$$), $AdfPage$$.$PAGE$.$__perfTimings$(!0, !1, !0, "Response processig done for iFrame. Source is: ", $agent$$300_iframeDom$$.getAttribute("src"))) : ($AdfPage$$.$PAGE$.$__perfTimings$(!1, !1, !1, 
  "Registering iFrame for resizing."), $AdfDhtmlInlineFramePeer$$.$_registerIFrameForSizing$($agent$$300_iframeDom$$)) : $AdfPage$$.$PAGE$.$__perfTimings$(!0, !1, !0, "Response processig done for iFrame. Source is: ", $agent$$300_iframeDom$$.getAttribute("src")) : $AdfPage$$.$PAGE$.$__perfTimings$(!0, !1, !0, "Response processig done for iFrame. Source is: ", $agent$$300_iframeDom$$.getAttribute("src"))) : $agent$$300_iframeDom$$.setAttribute("_adfLoaded", "1");
};
$AdfDhtmlInlineFramePeer$$.$__iframeLoadHandler$ = function $$AdfDhtmlInlineFramePeer$$$$__iframeLoadHandler$$($evt$$98$$) {
  $evt$$98$$.target.contentWindow.postMessage("_adfShowBody", "*");
  try {
    $AdfDhtmlInlineFramePeer$$.$_loadHandler$($evt$$98$$);
  } catch ($e$$129$$) {
    $AdfLogger$$.$LOGGER$.$logErrorAsInfo$($e$$129$$, "inlineFrame load handler");
  }
};
$goog$exportSymbol$$("AdfDhtmlInlineFramePeer.__iframeLoadHandler", $AdfDhtmlInlineFramePeer$$.$__iframeLoadHandler$);
$AdfDhtmlInlineFramePeer$$.$_removeLoadingStatus$ = function $$AdfDhtmlInlineFramePeer$$$$_removeLoadingStatus$$($iframeDom$$1$$, $clientId$$208$$) {
  null == $iframeDom$$1$$.getAttribute("_src") && ($AdfDomUtils$$.$containsCSSClassName$($iframeDom$$1$$, "p_AFFlow") ? ($AdfDomUtils$$.$removeCSSClassName$($iframeDom$$1$$, "p_AFBusy"), $AdfLogger$$.$LOGGER$.fine("Removed busy from iframe: ", $clientId$$208$$)) : ($AdfDomUtils$$.$removeCSSClassName$($iframeDom$$1$$.parentNode, "p_AFBusy"), $AdfLogger$$.$LOGGER$.fine("Removed busy from iframe's parentNode: ", $clientId$$208$$)));
};
$AdfDhtmlInlineFramePeer$$.$_registerIFrameForSizing$ = function $$AdfDhtmlInlineFramePeer$$$$_registerIFrameForSizing$$($iframeDom$$2$$) {
  $AdfAssert$$.$assertDomElement$($iframeDom$$2$$);
  if ($AdfDhtmlInlineFramePeer$$.$_isIframeSizingAllowed$($iframeDom$$2$$)) {
    var $iframeIds$$2$$ = $AdfDhtmlInlineFramePeer$$.$_iframeIds$, $iframeId$$ = $iframeDom$$2$$.id;
    -1 < $AdfCollections$$.indexOf($iframeIds$$2$$, $iframeId$$) && $iframeIds$$2$$.push($iframeId$$);
    $AdfDhtmlInlineFramePeer$$.$_resizeIframeToPreferred$($iframeDom$$2$$);
    $AdfPage$$.$PAGE$.$__perfTimings$(!0, !1, !0, "Response processig done for iFrame. Source is: ", $iframeDom$$2$$.getAttribute("src"));
    1 == $iframeIds$$2$$.length && ($iframeIds$$2$$.$_timerId$ = $AdfPage$$.$PAGE$.$getDomWindow$().setInterval($AdfDhtmlInlineFramePeer$$.$_minSizeResizeListener$, 1E3));
  }
};
$AdfDhtmlInlineFramePeer$$.$_isIframeSizingAllowed$ = function $$AdfDhtmlInlineFramePeer$$$$_isIframeSizingAllowed$$($iframeDom$$3$$) {
  try {
    return $AdfAgent$$.$AGENT$.$getWindowScrollWidth$($iframeDom$$3$$.contentWindow), !0;
  } catch ($e$$130$$) {
    return $AdfLogger$$.$LOGGER$.$logErrorAsWarning$($e$$130$$, "Error sizing iframe. This could occur if the iframe's sizing is set to preferred and the iframe's source is not from the same domain as the page. iframe id: " + $iframeDom$$3$$.id + ", iframe source: " + $iframeDom$$3$$.src + ", page location: " + window.location + "."), !1;
  }
};
$AdfDhtmlInlineFramePeer$$.$_resizeIframeToPreferred$ = function $$AdfDhtmlInlineFramePeer$$$$_resizeIframeToPreferred$$($iframeDom$$4$$) {
  if (!$AdfDhtmlInlineFramePeer$$.$_isIframeSizingAllowed$($iframeDom$$4$$)) {
    return !1;
  }
  var $heightOnly_resized$$1$$ = !1, $iframeIds$$3_laf$$81_resizeWidth_widthDelta$$ = $AdfPage$$.$PAGE$.$getLookAndFeel$();
  if ($AdfDomUtils$$.$containsCSSClassName$($iframeDom$$4$$, $iframeIds$$3_laf$$81_resizeWidth_widthDelta$$.getStyleClass("AFStretchWidth")) || $AdfDomUtils$$.$containsCSSClassName$($iframeDom$$4$$, $iframeIds$$3_laf$$81_resizeWidth_widthDelta$$.getStyleClass("AFAuxiliaryStretchWidth"))) {
    $heightOnly_resized$$1$$ = !0;
  }
  var $agent$$301_iframeStyle$$ = $AdfAgent$$.$AGENT$, $heightDelta_iframeContentWindow$$1$$ = $iframeDom$$4$$.contentWindow, $iframeIds$$3_laf$$81_resizeWidth_widthDelta$$ = 0;
  $heightOnly_resized$$1$$ || ($iframeIds$$3_laf$$81_resizeWidth_widthDelta$$ = $agent$$301_iframeStyle$$.$getWindowScrollWidth$($heightDelta_iframeContentWindow$$1$$) - $agent$$301_iframeStyle$$.$getWindowClientWidth$($heightDelta_iframeContentWindow$$1$$));
  $heightDelta_iframeContentWindow$$1$$ = $agent$$301_iframeStyle$$.$getWindowScrollHeight$($heightDelta_iframeContentWindow$$1$$) - $agent$$301_iframeStyle$$.$getWindowClientHeight$($heightDelta_iframeContentWindow$$1$$);
  $heightOnly_resized$$1$$ = !1;
  $agent$$301_iframeStyle$$ = $iframeDom$$4$$.style;
  0 < $iframeIds$$3_laf$$81_resizeWidth_widthDelta$$ && ($agent$$301_iframeStyle$$.minWidth = $iframeDom$$4$$.offsetWidth + $iframeIds$$3_laf$$81_resizeWidth_widthDelta$$ + "px", $heightOnly_resized$$1$$ = !0);
  var $iframeIds$$3_laf$$81_resizeWidth_widthDelta$$ = $AdfDhtmlInlineFramePeer$$.$_iframeIds$, $iframeId$$1$$ = $iframeDom$$4$$.id;
  0 < $heightDelta_iframeContentWindow$$1$$ ? ($agent$$301_iframeStyle$$.minHeight = $iframeDom$$4$$.offsetHeight + $heightDelta_iframeContentWindow$$1$$ + 1 + "px", $heightOnly_resized$$1$$ = !0, $iframeIds$$3_laf$$81_resizeWidth_widthDelta$$[$iframeId$$1$$] = $iframeDom$$4$$.clientWidth) : ($iframeIds$$3_laf$$81_resizeWidth_widthDelta$$ = $iframeIds$$3_laf$$81_resizeWidth_widthDelta$$[$iframeId$$1$$], void 0 !== $iframeIds$$3_laf$$81_resizeWidth_widthDelta$$ && $iframeDom$$4$$.clientWidth > $iframeIds$$3_laf$$81_resizeWidth_widthDelta$$ && 
  ($agent$$301_iframeStyle$$.minHeight = "0px", $heightOnly_resized$$1$$ = !0));
  return $heightOnly_resized$$1$$;
};
$AdfDhtmlInlineFramePeer$$.$_minSizeResizeListener$ = function $$AdfDhtmlInlineFramePeer$$$$_minSizeResizeListener$$() {
  var $iframeIds$$4$$ = $AdfDhtmlInlineFramePeer$$.$_iframeIds$;
  if (0 != $iframeIds$$4$$.length) {
    for (var $resized$$2$$ = !1, $theDocument$$14_theWindow$$ = document, $iframeCount$$ = $iframeIds$$4$$.length, $resizeFunc$$ = $AdfDhtmlInlineFramePeer$$.$_resizeIframeToPreferred$, $i$$314$$ = 0;$i$$314$$ < $iframeCount$$;$i$$314$$++) {
      var $iframeDom$$5$$ = $theDocument$$14_theWindow$$.getElementById($iframeIds$$4$$[$i$$314$$]), $resized$$2$$ = $resized$$2$$ | $resizeFunc$$($iframeDom$$5$$)
    }
    $resized$$2$$ ^ $iframeIds$$4$$.$_fastPoll$ && ($theDocument$$14_theWindow$$ = $AdfPage$$.$PAGE$.$getDomWindow$(), void 0 !== $iframeIds$$4$$.$_timerId$ && $theDocument$$14_theWindow$$.clearInterval($iframeIds$$4$$.$_timerId$), $iframeIds$$4$$.$_timerId$ = $theDocument$$14_theWindow$$.setInterval($AdfDhtmlInlineFramePeer$$.$_minSizeResizeListener$, $resized$$2$$ ? 100 : 1E3), $iframeIds$$4$$.$_fastPoll$ = $resized$$2$$);
  }
};
$AdfDhtmlInlineFramePeer$$.prototype.$__getIframe$ = function $$AdfDhtmlInlineFramePeer$$$$$__getIframe$$($domElement$$230_iframeElement$$6$$) {
  $domElement$$230_iframeElement$$6$$ = $domElement$$230_iframeElement$$6$$ ? $domElement$$230_iframeElement$$6$$ : this.$getDomElement$();
  "IFRAME" != $domElement$$230_iframeElement$$6$$.tagName && ($domElement$$230_iframeElement$$6$$ = $AdfDomUtils$$.$getFirstChildElement$($domElement$$230_iframeElement$$6$$));
  $AdfAssert$$.$assertDomElement$($domElement$$230_iframeElement$$6$$, "IFRAME");
  return $domElement$$230_iframeElement$$6$$;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlInlineFramePeer.prototype.__getIframe", {$__getIframe$:$AdfDhtmlInlineFramePeer$$.prototype.$__getIframe$});
